/* -*- C -*-
 * File: opts.c
 *
 * Created: Sun Sep 26 00:10:42 1999
 */

#ifdef DEBUG
#include <stdio.h>		/* puts () */
#endif

#include <string.h>

#include <X11/Xlib.h>		/* X Window standard header */
#include <X11/Xresource.h>	/* X resource manager stuff */

#include "fookb.h"
#include "opts.h"

#include "proplst.h"

void ParseOptions(argc, argv)
int *argc;
register char *argv[];
{
	XrmValue value;
	char *str_type[20];
	mydispname[0] = '\0';

	XrmParseCommand(&cmdlineDB, tbl, tblentr, "fookb", argc, argv);

#ifdef DEBUG
	puts("Hereiam");
#endif

	if (1 != *argc) {
		puts("Fookb v 2.13");
		puts("\tUsage: fookb [options]");
		puts("Possible options:");
		puts("-icon1 xpm_file\t\tIcon to show for the 1st Xkb group");
		puts("-icon2 xpm_file\t\tIcon to show for the 2nd Xkb group");
		puts("-icon3 xpm_file\t\tIcon to show for the 3rd Xkb group");
		puts("-icon4 xpm_file\t\tIcon to show for the 4th Xkb group");
		puts("-iconboom xpm_file\tIcon to show when Xkb system goes crazy");
		puts("-display X_display\tX display to use (normally not needed)");
		puts("");
#ifdef PROPLIST
		puts("Command line parameters takes precedence over X resources or configuration file!");
		printf("Configuration file location: ");
#ifdef WMAKER
		puts("~/GNUstep/Defaults/FOOkb");
#else
		puts("~/.fookb");
#endif
#else
		puts("Command line paramaters takes precedence over X resources!");
#endif
		exit(0);
	}

	/* We should get display now -- we need it for access to other
	   databases */
	if (XrmGetResource(cmdlineDB, "fookb.display", "Fookb.Display",
			   str_type, &value) == True) {
		(void) strncpy(mydispname, value.addr, (int) value.size);
#ifdef DEBUG
		puts(mydispname);
#endif
	}

}

void MoreOptions()
{

	XrmDatabase servDB, appDB;

	appDB = XrmGetFileDatabase
		("/usr/X11R6/lib/X11/app-defaults/Fookb");
	(void) XrmMergeDatabases(appDB, &finalDB);	/* Fookb defaults file
							   added into final
							   database */

	/* Let's look: does xrdb load server defautls? (As a property of
	   root window.) */
	if (XResourceManagerString(dpy) != NULL) {
		servDB = XrmGetStringDatabase(XResourceManagerString(dpy));
		XrmMergeDatabases(servDB, &finalDB);
	}

}
